Debian Bug report logs - #430053
ignores umask

version graph

Package: cpio; Maintainer for cpio is Anibal Monsalve Salazar <anibal@debian.org>; Source for cpio is src:cpio.

Reported by: Dan Jacobson <jidanni@jidanni.org>

Date: Fri, 22 Jun 2007 01:21:01 UTC

Severity: minor

Found in version cpio/2.8-1

Fixed in version cpio/2.9-1

Done: Clint Adams <schizo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, bug-cpio@gnu.org, Clint Adams <schizo@debian.org>:
Bug#430053; Package cpio. Full text and rfc822 format available.

Acknowledgement sent to Dan Jacobson <jidanni@jidanni.org>:
New Bug report received and forwarded. Copy sent to bug-cpio@gnu.org, Clint Adams <schizo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ignores umask
Date: Fri, 22 Jun 2007 09:20:00 +0800
Package: cpio
Version: 2.8-1
Severity: minor

This is bananas, cpio is now ignoring umask for the directories it
creates when they are not in the archive.
$ umask
0022
$ find d -ls
 70499    0 drwxr-xr-x   2 jidanni  jidanni        60 Jun 22 09:01 d
 70562    0 -rw-r--r--   1 jidanni  jidanni         0 Jun 22 09:01 d/f
$ mkdir zz
$ find d -type f|cpio -o|(cd zz;cpio -idm)
1 block
1 block
$ find zz -ls
 72509    0 drwxr-xr-x   3 jidanni  jidanni        60 Jun 22 09:13 zz
 72534    0 drwx------   2 jidanni  jidanni        60 Jun 22 09:13 zz/d
 72535    0 -rw-r--r--   1 jidanni  jidanni         0 Jun 22 09:01 zz/d/f

See also "cpio -p: directories created in 700 mode"
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=350827
which I didn't test again today.



Reply sent to Clint Adams <schizo@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dan Jacobson <jidanni@jidanni.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 430053-close@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: 430053-close@bugs.debian.org
Subject: Bug#430053: fixed in cpio 2.9-1
Date: Fri, 29 Jun 2007 17:47:02 +0000
Source: cpio
Source-Version: 2.9-1

We believe that the bug you reported is fixed in the latest version of
cpio, which is due to be installed in the Debian FTP archive:

cpio_2.9-1.diff.gz
  to pool/main/c/cpio/cpio_2.9-1.diff.gz
cpio_2.9-1.dsc
  to pool/main/c/cpio/cpio_2.9-1.dsc
cpio_2.9-1_i386.deb
  to pool/main/c/cpio/cpio_2.9-1_i386.deb
cpio_2.9.orig.tar.gz
  to pool/main/c/cpio/cpio_2.9.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 430053@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Clint Adams <schizo@debian.org> (supplier of updated cpio package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 29 Jun 2007 13:29:13 -0400
Source: cpio
Binary: cpio
Architecture: source i386
Version: 2.9-1
Distribution: unstable
Urgency: low
Maintainer: Clint Adams <schizo@debian.org>
Changed-By: Clint Adams <schizo@debian.org>
Description: 
 cpio       - GNU cpio -- a program to manage archives of files
Closes: 430053
Changes: 
 cpio (2.9-1) unstable; urgency=low
 .
   * New upstream release (under GPLv3).
     - Honor umask when creating intermediate directories, not specified
       in the archive.  closes: #430053.
Files: 
 3d3008624330d9c29b9e0f5043f3a6f6 671 utils important cpio_2.9-1.dsc
 2bb997a33555d4dc79d45d0cdf02cedd 977105 utils important cpio_2.9.orig.tar.gz
 75dc4bd4821a7290627b3f3854da4899 7909 utils important cpio_2.9-1.diff.gz
 902d23877e36ca9e4307bbc0bdd0702a 174218 utils important cpio_2.9-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Debian!

iD8DBQFGhUNc5m0u66uWM3ARAkAGAKCz+alUDdBXrN/lntbqbshYhIyccwCffJQl
q+ugUvj55szPjTZcZBJO+GI=
=t/HP
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 01 Aug 2007 07:35:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 16:23:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.